Subject: Re: What's cooking in git.git (Mar 2020, #07; Sun, 22)

From: Taylor Blau <[email-masked]>
Date: Mon, 23 Mar 2020 14:17:00 -0600

On Mon, Mar 23, 2020 at 12:25:21PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > I noticed that this has been cooking in 'next' for a few weeks now. Is
> > there anything you're looking for specifically before graduating this to
> > master?
>
> Yeah, I saw some mention about "--input=none does not mean there is
> no input" confusion in a separate discussion in the past few days
> [*1*], which may make us reconsider the proposed UI by this series,
> and it is a good time to do so when we rewind/rebuild 'next' after
> a release (i.e. "now").

Makes sense. I hadn't responded to that thread yet because I thought
that it had already been discussed, but on second glance '--input=none'
really isn't as clear as it could be.

I posted [2], which I think should move things forward.

> [Reference]
>
> *1* https://lore.kernel.org/git/[email-masked]/

Thanks,
Taylor

[2]: https://lore.kernel.org/git/[email-masked]/